{
  "/credentials": {
    "get": {
      "tags": [
        "credential management"
      ],
      "summary": "Get Credentials",
      "description": "[BETA] endpoint. This might change unexpectedly.",
      "operationId": "get_credentials_credentials_get",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    },
    "post": {
      "tags": [
        "credential management"
      ],
      "summary": "Create Credential",
      "description": "[BETA] endpoint. This might change unexpectedly.\nStores credential in DB.\nReloads credentials in memory.",
      "operationId": "create_credential_credentials_post",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CreateCredentialItem"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/credentials/by_model/{model_id}": {
    "get": {
      "tags": [
        "credential management"
      ],
      "summary": "Get Credential By Model",
      "description": "[BETA] endpoint. This might change unexpectedly.",
      "operationId": "get_credential_by_model_credentials_by_model__model_id__get",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "model_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "description": "The model ID to look up credentials for",
            "title": "Model Id"
          },
          "description": "The model ID to look up credentials for"
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CredentialItem"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  },
  "/credentials/by_name/{credential_name}": {
    "get": {
      "tags": [
        "credential management"
      ],
      "summary": "Get Credential By Name",
      "description": "[BETA] endpoint. This might change unexpectedly.",
      "operationId": "get_credential_by_name_credentials_by_name__credential_name__get",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "credential_name",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "description": "The credential name, percent-decoded; may contain slashes",
            "title": "Credential Name"
          },
          "description": "The credential name, percent-decoded; may contain slashes"
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CredentialItem"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  },
  "/credentials/{credential_name}": {
    "delete": {
      "tags": [
        "credential management"
      ],
      "summary": "Delete Credential",
      "description": "[BETA] endpoint. This might change unexpectedly.",
      "operationId": "delete_credential_credentials__credential_name__delete",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "credential_name",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "description": "The credential name, percent-decoded; may contain slashes",
            "title": "Credential Name"
          },
          "description": "The credential name, percent-decoded; may contain slashes"
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "patch": {
      "tags": [
        "credential management"
      ],
      "summary": "Update Credential",
      "description": "[BETA] endpoint. This might change unexpectedly.",
      "operationId": "update_credential_credentials__credential_name__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "credential_name",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "description": "The credential name, percent-decoded; may contain slashes",
            "title": "Credential Name"
          },
          "description": "The credential name, percent-decoded; may contain slashes"
        }
      ],
      "requestBody": {
        "required": true,
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CredentialItem"
            }
          }
        }
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  }
}